Page MenuHomeFreeBSD

New port: devel/p5-File-ShareDir-Tarball: Deal transparently with shared files distributed as tarballs
ClosedPublic

Authored by kai on Apr 9 2019, 10:36 AM.

Details

Summary

If the shared files of a distribution are contained in a tarball (see
Dist::Zilla::Plugin::ShareDir::Tarball for why you would want to do that)
automatically extract the archive in a temporary directory and return the path
to that directory.

If called for a regular distribution without a bundle file
(shared-files.tar.gz), it'll return the original shared dir. In other words,
from the consumer point of view, it'll behave just like File::ShareDir.

WWW: https://metacpan.org/pod/File::ShareDir::Tarball

PR: 237109
Submitted by: Geoffroy Desvernay
Approved by: (one of the mentors)

Test Plan
  • poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENTr345355 amd64 + i386) -> OK
  • portlint -> OK
  • Runtime tests -> OK

Test results with "make test" yields:

All tests successful.
Files=9, Tests=13, 1 wallclock secs ( 0.05 usr 0.02 sys + 1.09 cusr 0.30 csys = 1.45 CPU)
Result: PASS

Minor fixes to the original patch:

  • Changed MAINTAINER to submitter's address
  • Added _LICENSE_FILE for ART10 and GPLv1+
  • Added TEST_DEPENDS
  • Merged pkg-plist into PLIST_FILES
  • Improved pkg-descr a bit by realigning it to the 80 char width

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 23656
Build 22637: arc lint + arc unit

Event Timeline

kai created this revision.Apr 9 2019, 10:36 AM
tcberner requested changes to this revision.Apr 13 2019, 7:32 AM

This needs to be hooked into devel/Makefile

This revision now requires changes to proceed.Apr 13 2019, 7:32 AM
kai updated this revision to Diff 56161.Apr 13 2019, 10:30 AM

Add the port to devel/Makefile to enable building

miwi accepted this revision.Apr 15 2019, 3:10 AM

LGTM

This revision was not accepted when it landed; it landed in state Needs Review.Apr 15 2019, 9:00 AM
This revision was automatically updated to reflect the committed changes.